< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package events
  Definition Classes
    play
-  package monitoring
  Definition Classes
    events
- DefaultHttpErrorCountEvent
- DefaultHttpErrorEvent
- DefaultTimerEvent
- EventSource
- HttpErrorCountMonitor
- HttpErrorMonitor
- Monitor
- Timer

c

uk.gov.hmrc.play.events.monitoring

# DefaultHttpErrorEvent 

###
Companion object DefaultHttpErrorEvent

#### case class DefaultHttpErrorEvent(source: String, name: String, level: AlertLevel, alertCode: AlertCode, data: Map[String, String]) extends Alertable with Measurable with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Measurable, Alertable, Recordable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DefaultHttpErrorEvent
2. Serializable
3. Serializable
4. Product
5. Equals
6. Measurable
7. Alertable
8. Recordable
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new DefaultHttpErrorEvent(source: String, name: String, level: AlertLevel, alertCode: AlertCode, data: Map[String, String])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val alertCode: AlertCode
   Definition Classes
     DefaultHttpErrorEvent → Alertable
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  val data: Map[String, String]
   Definition Classes
     DefaultHttpErrorEvent → Measurable
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  val level: AlertLevel
    Definition Classes
      DefaultHttpErrorEvent → Alertable
13.  val name: String
    Definition Classes
      DefaultHttpErrorEvent → Measurable → Alertable
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  val source: String
    Definition Classes
      DefaultHttpErrorEvent → Measurable → Alertable
18.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Measurable

### Inherited from Alertable

### Inherited from Recordable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped